@echo off
SmbDet.exe -nohelp -printinfo
if ErrorLevel 32 (
  echo Используется SMB2 - файлы будут рушиться
  goto exit
)
if ErrorLevel 31 (
  echo Использование SMB2 возможно - файлы могут рушиться
  goto exit
)
if ErrorLevel 16 (
  echo Используется SMB1 - файлы не должны рушиться
  goto exit
)
if ErrorLevel 0 (
  echo Локальный каталог - файлы не должны рушиться
  goto exit
)

:exit
